Bug 214309 - ipmitool displaying incorrect temperature reading on Woodcrest CPU
ipmitool displaying incorrect temperature reading on Woodcrest CPU
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: 200812
  Show dependency treegraph
 
Reported: 2006-11-06 19:02 EST by jordan hargrave
Modified: 2015-03-04 20:17 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-20 09:37:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for disabling sensors (3.08 KB, patch)
2006-11-06 19:05 EST, jordan hargrave
no flags Details | Diff

  None (edit)
Description jordan hargrave 2006-11-06 19:02:30 EST
Description of problem:
ipmitool reports incorrect readings on Woodcrest CPUs

Version-Release number of selected component (if applicable):
OpenIPMI-2.0.6-5.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5 on system with Woodcrest CPUs
2. run ipmitool sdr list
  
Actual results:
temperature sensors for CPU report negative values


Expected results:
Sensors should not be displayed

Additional info:
The Woodcrest CPUs no longer have ambient temperature sensor information
The IPMI sensors have the sensor scanning disabled bit set; ipmitool ignores
this if there is a reading value returned.  This reading should always be
ignored if sensor scanning bit is enabled
Comment 1 jordan hargrave 2006-11-06 19:05:49 EST
Created attachment 140528 [details]
Patch for disabling sensors
Comment 2 Amit Bhutani 2006-11-07 11:06:09 EST
Can somebody from RH please change the Version field to "5.0.0" from "rhel5-rc1"
as I do not have the permissions to do so.
Comment 3 Samuel Benjamin 2006-11-15 16:43:16 EST
Important Dell ipmitool fix needs to be in RHEL4.0. Adding ACK flags.
Comment 4 Amit Bhutani 2006-11-15 16:46:01 EST
s/RHEL4.0/RHEL5.0 from Sammy's comment #3.
Comment 5 RHEL Product and Program Management 2006-11-15 17:00:40 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 8 Jay Turner 2006-11-22 13:18:32 EST
QE ack for RHEL5.
Comment 9 Amit Bhutani 2006-11-28 20:27:33 EST
Can Dell get a test package to regress the fix, please ?
Comment 10 Phil Knirsch 2006-11-29 10:33:25 EST
Test packages can be downloaded from here:

http://people.redhat.com/pknirsch/RHEL-5

Read ya, Phil
Comment 11 Raghavendra Biligiri 2006-11-30 06:00:17 EST
Issue is fixed with test packages provided in comment #10.
Comment 12 John Feeney 2006-12-14 16:12:26 EST
Even though this has a MODIFIED status, Dell wants to make sure that this is
shipped in 5.0.0 and is fixed their systems. Thus Dell wants it to be a blocker
for 5.0.0.
Comment 14 Amit Bhutani 2006-12-20 06:16:46 EST
OpenIPMI-2.0.6-5.el5.2 is now in RC Snapshot 3, so this can safely be marked as
VERIFIED. RH- Please close.

Note You need to log in before you can comment on or make changes to this bug.